javax.ws.rs.core

## Class NoContentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.ws.rs.core.NoContentException

- All Implemented Interfaces:
    Serializable

      public class NoContentException
      extends IOException

  An I/O exception thrown by `MessageBodyReader` implementations when reading a zero-length message content to indicate that the message body reader is not able to produce an instance representing an zero-length message content.

  This exception, when thrown while reading a server request entity, is automatically translated by JAX-RS server runtime into a `BadRequestException` wrapping the original `NoContentException` and rethrown for a standard processing by the registered `exception mappers`.

  Since:
    2.0
  Author:
    Marek Potociar (marek.potociar at oracle.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoContentException(String message)` Construct a new `NoContentException` instance.
    `NoContentException(String message, Throwable cause)` Construct a new `NoContentException` instance.
    `NoContentException(Throwable cause)` Construct a new `NoContentException` instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoContentException

          public NoContentException(String message)

      Construct a new `NoContentException` instance.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### NoContentException

          public NoContentException(String message,
                            Throwable cause)

      Construct a new `NoContentException` instance.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the underlying cause of the exception.

    - #### NoContentException

          public NoContentException(Throwable cause)

      Construct a new `NoContentException` instance.
      Parameters:
        `cause` - the underlying cause of the exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.